Bug 812215 - org.apache.ws.commons.util has .qualifier in manifest
Summary: org.apache.ws.commons.util has .qualifier in manifest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ws-common-utils
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 811951 811953 812224
TreeView+ depends on / blocked
 
Reported: 2012-04-13 06:32 UTC by Krzysztof Daniel
Modified: 2014-01-13 00:26 UTC (History)
3 users (show)

Fixed In Version: ws-commons-util-1.0.1-22.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-25 05:05:55 UTC
Type: Bug


Attachments (Terms of Use)
Fix proposition (862.64 KB, patch)
2012-04-13 06:34 UTC, Krzysztof Daniel
no flags Details | Diff
Patch (1.60 KB, patch)
2012-04-13 06:36 UTC, Krzysztof Daniel
no flags Details | Diff
Better patch (8.79 KB, patch)
2012-04-13 08:08 UTC, Krzysztof Daniel
no flags Details | Diff

Description Krzysztof Daniel 2012-04-13 06:32:16 UTC
The .qualifier is not replaced with a timestamp during the jar build, and then pde build replaces the qualifier with proper value, but the jar is not changed, so features are not installed properly.

Comment 1 Krzysztof Daniel 2012-04-13 06:34:13 UTC
Created attachment 577234 [details]
Fix proposition

Comment 2 Krzysztof Daniel 2012-04-13 06:36:21 UTC
Created attachment 577236 [details]
Patch

Comment 3 Krzysztof Daniel 2012-04-13 08:08:39 UTC
Created attachment 577262 [details]
Better patch

Comment 4 Fedora Update System 2012-04-17 12:07:51 UTC
ws-commons-util-1.0.1-21.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ws-commons-util-1.0.1-21.fc17

Comment 5 Fedora Update System 2012-04-18 22:13:12 UTC
Package ws-commons-util-1.0.1-21.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ws-commons-util-1.0.1-21.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6130/ws-commons-util-1.0.1-21.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-04-19 08:47:10 UTC
ws-commons-util-1.0.1-22.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ws-commons-util-1.0.1-22.fc17

Comment 7 Fedora Update System 2012-04-25 05:05:55 UTC
ws-commons-util-1.0.1-22.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.